SWFDisplayItem_flush(3)

NAME
SWFDisplayItem_flush - This function writes the item object immediately to the blocklist.

SYNOPSIS
#include <ming.h>

void SWFDisplayItem_flush(SWFDisplayItem item);

PARAMETERS

SWFDisplayItem item
    Item to write.

DESCRIPTION
Usually MING waits with writing a display item until a frame is closed through a nextFrame() call, because a display items state could be altered for the current frame. By using SWFDisplayItem_flush() MING does not wait and writes the frame immediately. Therefore a user can influence the swf tag oder. Changing a display items state after calling flush() takes effect in the next frame.